WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

All about the standard Meteobridge devices based on mobile routers from TP-Link, D-Link, ASUS

Moderator: Mattk

Post Reply
User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by admin » Fri Sep 08, 2017 8:30 pm

WARNING: TP-Link has given us an unpleasant surprise by bringing a modified version of the MR3020 onto the market. The unit looks exactly like the old one but is marked as "MR3020(UN)" on the back and is given a "Ver: 1.9" tag. When you flash this router model with Meteobridge firmware it is bricked. So please check the sticker at the back before flashing! We currently don't have an image that works with this new 1.9 version of the MR3020. On the picture below you see the sticker that indicates the router being a bad one, not suited for Meteobridge. Keep away from those models.

HINT: You have the same sticker on the bottom of the sealed box, so you can return those models without breaking the seals.

mr3020-v19.png
mr3020-v19.png (258.54 KiB) Viewed 772 times

bubulino
Fresh Boarder
Fresh Boarder
Posts: 13
Joined: Tue Mar 30, 2010 3:24 pm
Location: Schwellbrunn Schweiz

Thanks for the information!

Post by bubulino » Fri Sep 08, 2017 8:59 pm

Thanks for the information!
best regards
swisswetter.shop

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK

Post by admin » Fri Sep 08, 2017 10:36 pm

I am working on a new image that also handles these new models. Difference is a new NOR flash chip inside, which the openwrt kernel I use does not support. I try to patch that, but we will see...
Anyway, once the unit is bricked, you cannot give it a second try. So please don't flash "Ver 1.9" marked MR3020 right now. Some "Ver 1.9" still have the older chip, but you can't see from outside. Not very great what TP-Link is doing here and this looks like a week end full of work coming ahead ;-)

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK

Post by admin » Sat Sep 09, 2017 1:12 am

Problem solved! I just released Meteobridge firmware 1.5 works for old and new hardware revisions:
http://www.meteohub.de/files/meteobridg ... 0-v1.5.bin

Looking a bit more into the details of they also changed uboot boot loader of the new revisions and there is a way to resurrect bricked units without opening the case and doing some soldering to attach a serial console, as I did to understand the nature of the problem...

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK

Post by admin » Sat Sep 09, 2017 1:23 am

Instructions how to resurrect a bricked MR3020 impacted by the problem described in this thread.
1) setup a TFTP server in your LAN
2) give the TFTP server the LAN IP "192.168.0.66"
3) store the version 1.5 Meteobridge firmware (http://www.meteohub.de/files/meteobridg ... 0-v1.5.bin) in the TFTP folder of your server as "mr3020v1_tp_recovery.bin"
4) connect MR3020 per Ethernet cable with the LAN
5) press button on top and keep pressed while plugging in power cable into MR3020
6) wait 10 seconds, release button

After a while large LED should start slow blinking, then fast blinking and when Internet connection worked fine large LED switches to steady on.

I know that this is just for the tech-savvy, but I did not want to hide the recipe. Please understand that I will not coach you through setting that TFTP thing up. When instructions above are not self-explanatory to you, please just dump the bricked MR3020 and buy a new one. Coaching you through that is nothing I can do, please understand. Thanks!

MeteoOudkarspel
Senior Boarder
Senior Boarder
Posts: 45
Joined: Wed Jun 10, 2015 12:53 pm
Location: Oudkarspel
Contact:

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by MeteoOudkarspel » Sat Sep 09, 2017 3:30 pm

Just a small question
Is the FW version 1.5 also available for the meteobridge pro?
Sincerely,

Ron C.P.J Overtoom Meteo Oudkarspel Municipality Langedijk.

Image

http://www.meteooudkarspel.pd0rok.nl

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by admin » Sat Sep 09, 2017 3:47 pm

Hi, as we control the hardware of the Meteobridge PRO there is no new FW release needed for the PRO. They are still on 1.4, which is totally fine and FW is put onto the PRO by us, not by the user.

MeteoOudkarspel
Senior Boarder
Senior Boarder
Posts: 45
Joined: Wed Jun 10, 2015 12:53 pm
Location: Oudkarspel
Contact:

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by MeteoOudkarspel » Sat Sep 09, 2017 5:52 pm

Hoi Boris,

Just ask, but thanks for the info.
Sincerely,

Ron C.P.J Overtoom Meteo Oudkarspel Municipality Langedijk.

Image

http://www.meteooudkarspel.pd0rok.nl

heersje
Fresh Boarder
Fresh Boarder
Posts: 2
Joined: Fri May 05, 2017 12:39 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by heersje » Wed Sep 27, 2017 8:39 pm

As I happen to have a 1.9 running on build 11358 I am slightly worried. So to be 200% sure :if I get the newest on reboot I should get a version that works or is it essential I do an update using the version you posted above first?

Thanks!

User avatar
admin
Platinum Boarder
Platinum Boarder
Posts: 5026
Joined: Mon Oct 01, 2007 10:51 pm

Re: WARNING: incompatible MR3020 routers out there! RISK OF BRICK **solved**

Post by admin » Wed Sep 27, 2017 11:58 pm

This thread is about initial flashing of the MR3020 only. You do this when you buy a standard MR3020 from your local IT shop to make a Meteobridge out of the TP-Link router. When you buy a Meteobridge device from one of the resellers, this already is flashed by the reseller. There is no need to reflash a Meteobridge again. All FW versions run fine.

When you have any version of Meteobridge running on it, then this is the proof that it has already been successfully flashed by someone. SW updates released by me from time to time will load on all versions fine, no reason to worry.

Post Reply